Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	2.1.4
Name:		duplicity
Release:	%mkrel 3
License:	GPLv2
Group:		Archiving/Backup
URL:		https://duplicity.gitlab.io/
Source0:	https://gitlab.com/duplicity/duplicity/-/archive/rel.%{version}/duplicity-rel.%{version}.tar.bz2
# (wally) call gpg2 instead of gpg
Patch1:		duplicity-2.1.4-gnupg2.patch
BuildRequires:	rsync-devel
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(python3)
Requires:	gnupg2
Requires:	ncftp
Requires:	openssh-clients
Requires:	rsync
Recommends:	python3dist(dropbox)

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep
%autosetup -p1 -n %{name}-rel.%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files duplicity

#handle docs in files section
mv %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG* README* CONTRIBUTING* COPYING
%{_mandir}/man1/%{name}*
%{_bindir}/duplicity


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.4-3.mga10
+ Revision: 2243439
- Mageia 10 Mass Rebuild

* Sat Mar 08 2025 daviddavid <daviddavid> 2.1.4-2.mga10
+ Revision: 2161895
- rebuild for python 3.13

* Sun Dec 10 2023 papoteur <papoteur> 2.1.4-1.mga10
+ Revision: 2016686
- new 2.1.4

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 1.2.2-1.mga9
+ Revision: 1940800
- version 1.2.2

* Wed Dec 07 2022 mokraemer <mokraemer> 1.2.1-1.mga9
+ Revision: 1919033
- updated to 1.2.1 for important fixes

* Wed Oct 19 2022 ghibo <ghibo> 1.0.1-1.mga9
+ Revision: 1897795
- Update to release 1.0.1

* Sat Mar 19 2022 umeabot <umeabot> 0.8.21-3.mga9
+ Revision: 1799672
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.8.21-2.mga9
+ Revision: 1782761
- Rebuild for python-3.10

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 0.8.21-1.mga9
+ Revision: 1768829
- version 0.8.21

* Fri Apr 09 2021 daviddavid <daviddavid> 0.8.18-1.mga9
+ Revision: 1714317
- new version: 0.8.18

* Fri Mar 26 2021 daviddavid <daviddavid> 0.8.17-3.mga9
+ Revision: 1710281
- rebuild for python 3.9

* Sat Nov 14 2020 mokraemer <mokraemer> 0.8.17-2.mga8
+ Revision: 1645807
- readd documentation

* Thu Nov 12 2020 mokraemer <mokraemer> 0.8.17-1.mga8
+ Revision: 1644866
- new version 0.8.17

* Sun Sep 13 2020 ghibo <ghibo> 0.8.15-1.mga8
+ Revision: 1625593
- Update to release 0.8.15

* Wed May 06 2020 daviddavid <daviddavid> 0.8.13-1.mga8
+ Revision: 1580962
- new version: 0.8.13

* Wed Apr 22 2020 daviddavid <daviddavid> 0.8.12.1612-1.mga8
+ Revision: 1570628
- new version: 0.8.12.1612

* Mon Mar 02 2020 daviddavid <daviddavid> 0.8.11.1596-1.mga8
+ Revision: 1552800
- new version: 0.8.11.1596

* Wed Feb 19 2020 umeabot <umeabot> 0.8.09-2.mga8
+ Revision: 1542866
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 0.8.09-1.mga8
+ Revision: 1477170
- new version: 0.8.09

* Sat Nov 23 2019 daviddavid <daviddavid> 0.8.07-1.mga8
+ Revision: 1462444
- new version: 0.8.07

* Fri Oct 11 2019 daviddavid <daviddavid> 0.8.05-1.mga8
+ Revision: 1451568
- new version: 0.8.05

* Mon Sep 09 2019 wally <wally> 0.8.04-2.mga8
+ Revision: 1439025
- rebuild for python3.8

* Sun Sep 01 2019 daviddavid <daviddavid> 0.8.04-1.mga8
+ Revision: 1436049
- new version: 0.8.04

* Fri Aug 30 2019 daviddavid <daviddavid> 0.8.03-1.mga8
+ Revision: 1435299
- new version: 0.8.03

* Tue Jul 16 2019 daviddavid <daviddavid> 0.8.01-1.mga8
+ Revision: 1421819
- new version: 0.8.01
- port to Python3

* Sat Jul 13 2019 daviddavid <daviddavid> 0.8.00-1.mga8
+ Revision: 1420868
- new version: 0.8.00

* Fri Nov 02 2018 daviddavid <daviddavid> 0.7.18.2-1.mga7
+ Revision: 1327626
- new version: 0.7.18.2
- use new python provides

* Sun Sep 23 2018 umeabot <umeabot> 0.7.17-4.mga7
+ Revision: 1297525
- Mageia 7 Mass Rebuild

* Mon May 07 2018 wally <wally> 0.7.17-3.mga7
+ Revision: 1227557
- add patch to use gnupg2
- rediff 64bits patch to apply with -p1

* Mon May 07 2018 wally <wally> 0.7.17-2.mga7
+ Revision: 1227548
- drop unneeded requires for python-GnuPG-Interface (duplicity uses their own patched version)

* Mon Mar 19 2018 mokraemer <mokraemer> 0.7.17-1.mga7
+ Revision: 1210467
- new version 0.7.17

* Fri Dec 22 2017 wally <wally> 0.7.15-1.mga7
+ Revision: 1183803
- new version 0.7.15

* Wed Apr 26 2017 akien <akien> 0.7.12-1.mga6
+ Revision: 1097729
- Version 0.7.12

* Sat Feb 04 2017 wally <wally> 0.7.11-1.mga6
+ Revision: 1084803
- new version 0.7.11

* Wed May 04 2016 philippem <philippem> 0.7.07.1-1.mga6
+ Revision: 1009212
- update to 0.7.07.1

* Mon Apr 25 2016 philippem <philippem> 0.7.07-1.mga6
+ Revision: 1006063
- update to 0.7.07
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 philippem <philippem> 0.7.06-1.mga6
+ Revision: 909675
- update to 0.7.06

* Sun Oct 11 2015 philippem <philippem> 0.7.05-1.mga6
+ Revision: 889627
- update to 0.7.05

* Tue Jun 30 2015 wally <wally> 0.7.03-1.mga6
+ Revision: 848705
- new version 0.7.03
- drop unneeded BRs and patches from upstream

* Sun Mar 22 2015 philippem <philippem> 0.6.25-2.mga5
+ Revision: 819088
- fix rebuild for new librsync
- rebuild for new librsync mga#15543

* Sun Nov 09 2014 wally <wally> 0.6.25-1.mga5
+ Revision: 796133
- new version 0.6.25

* Wed Oct 15 2014 umeabot <umeabot> 0.6.24-5.mga5
+ Revision: 750864
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.24-4.mga5
+ Revision: 726145
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.24-3.mga5
+ Revision: 678881
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Fri Aug 22 2014 philippem <philippem> 0.6.24-2.mga5
+ Revision: 666499
- add missing requires on python-paramiko

* Thu Jun 12 2014 philippem <philippem> 0.6.24-1.mga5
+ Revision: 635835
- update to 0.6.24

* Wed Jun 04 2014 wally <wally> 0.6.23-3.mga5
+ Revision: 632857
- require python-lockfile (mga#13479)

* Sat May 31 2014 pterjan <pterjan> 0.6.23-2.mga5
+ Revision: 628165
- Rebuild for new Python

* Mon Mar 17 2014 philippem <philippem> 0.6.23-1.mga5
+ Revision: 604506
- Update to 0.6.23

* Sat Nov 02 2013 fwang <fwang> 0.6.22-4.mga4
+ Revision: 548863
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 0.6.22-3.mga4
+ Revision: 542533
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6.22-2.mga4
+ Revision: 497732
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.6.22-1.mga4
+ Revision: 474014
- update to 0.6.22

* Sat Jun 15 2013 wally <wally> 0.6.21-1.mga4
+ Revision: 443342
- new version 0.6.21
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 0.6.20-2.mga3
+ Revision: 349176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.6.20-1.mga3
+ Revision: 318291
- new upstream

* Sat Aug 11 2012 wally <wally> 0.6.19-1.mga3
+ Revision: 280620
- new version 0.6.19
- clean .spec a bit

* Mon Mar 05 2012 philippem <philippem> 0.6.18-1.mga2
+ Revision: 218501
- Update to 0.6.18.

* Sat Dec 17 2011 philippem <philippem> 0.6.17-2.mga2
+ Revision: 183143
+ rebuild (emptylog)

* Sat Nov 26 2011 philippem <philippem> 0.6.17-1.mga2
+ Revision: 172039
- Update to 0.6.17
+ dmorgan <dmorgan>
- New version 0.6.15

* Sat Apr 16 2011 philippem <philippem> 0.6.13-1.mga1
+ Revision: 86787
- new upstream

* Thu Feb 24 2011 philippem <philippem> 0.6.11-2.mga1
+ Revision: 58811
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 0.6.11-1.mga1
+ Revision: 58447
- imported package duplicity


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.6.11-1mga1
- initial import
- update to release 0.6.11
- add new dependencies

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.6.08b-2mdv2011.0
+ Revision: 592382
- rebuild for python 2.7

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Update to release 0.6.08b.

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.07-1mdv2010.1
+ Revision: 513072
- update to new version 0.6.07

  + Michael Scherer <misc@mandriva.org>
    - clean old check on unsupported versions

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.06-1mdv2010.1
+ Revision: 465924
- update to new version 0.6.06

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.05-1mdv2010.0
+ Revision: 422302
- update to new version 0.6.05

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.04-1mdv2010.0
+ Revision: 415724
- update to new version 0.6.04

* Fri Jul 31 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.03-1mdv2010.0
+ Revision: 405214
- update to new version 0.6.03

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.01-1mdv2010.0
+ Revision: 392364
- update to new version 0.6.01

* Tue Jun 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.00-1mdv2010.0
+ Revision: 384470
- update to new version 0.6.00

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.18-1mdv2010.0
+ Revision: 378386
- update to new version 0.5.18

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.17-1mdv2010.0
+ Revision: 372223
- update to new version 0.5.17

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.12-1mdv2009.1
+ Revision: 355821
- update to new version 0.5.12

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.11-1mdv2009.1
+ Revision: 355055
- update to new version 0.5.11

* Sat Feb 14 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.08-1mdv2009.1
+ Revision: 340252
- 0.5.08
- fixed the spec file

* Fri Jan 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.06-1mdv2009.1
+ Revision: 335634
- import duplicity


